
import java.util.Date
import java.text.SimpleDateFormat

plugins {
    id("com.android.application")
    id("org.jetbrains.kotlin.android")
    kotlin("kapt")
    id ("kotlin-android")
    id("com.google.gms.google-services")
    id("com.google.firebase.crashlytics")
}

val timestamp = SimpleDateFormat("MM_dd_HH_mm").format(Date())
android {
    namespace = "com.flowing.light.board"
    compileSdk = 36
    defaultConfig {
        applicationId = "com.flowing.light.board"
        minSdk = 24
        targetSdk = 36
        versionCode = 2
        versionName = "1.1"
        setProperty(
            "archivesBaseName",
            "FlowingLightBoard_V" + versionName + "(${versionCode})_$timestamp"
        )
        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = true
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_17
        targetCompatibility = JavaVersion.VERSION_17
    }

    kotlinOptions {
        jvmTarget = "17"
    }
    buildFeatures {
        buildConfig = true
        viewBinding = true
    }


}

dependencies {

    implementation("androidx.core:core-ktx:1.15.0")
    implementation("androidx.appcompat:appcompat:1.7.1")
    implementation("com.google.android.material:material:1.13.0")
    implementation("androidx.constraintlayout:constraintlayout:2.2.1")
    implementation("androidx.activity:activity:1.12.1")
    testImplementation("junit:junit:4.13.2")
    androidTestImplementation("androidx.test.ext:junit:1.3.0")
    androidTestImplementation("androidx.test.espresso:espresso-core:3.7.0")


    implementation("com.squareup.okhttp3:okhttp:5.3.2")
    implementation("com.github.bumptech.glide:glide:5.0.5")
    implementation ("jp.wasabeef:glide-transformations:4.3.0")
    //Glide支持webp动图的库
    implementation("com.github.zjupure:webpdecoder:2.7.4.16.0")
    implementation("com.github.omicronapps:7-Zip-JBinding-4Android:Release-16.02-2.03")

    val room_version = "2.8.4"
    implementation ("androidx.room:room-runtime:$room_version")
    kapt("androidx.room:room-compiler:$room_version")
    implementation ("androidx.room:room-ktx:$room_version")
    implementation ("org.jetbrains.kotlinx:kotlinx-coroutines-core:1.10.2")
    implementation ("org.jetbrains.kotlinx:kotlinx-coroutines-android:1.10.2")

    implementation("com.google.android.material:material:1.8.0")

    implementation("com.google.code.gson:gson:2.10.1")


    implementation(files("libs/UpLoadLibrary_12_03_15_13-release.aar"))
    implementation("com.squareup.okhttp3:logging-interceptor:4.12.0")

    implementation(platform("com.google.firebase:firebase-bom:34.6.0"))
    implementation("com.google.firebase:firebase-crashlytics")
    implementation("com.google.firebase:firebase-analytics")
    implementation("com.google.firebase:firebase-config")


//---------------------------
    implementation("com.unity3d.ads-mediation:mediation-sdk:9.2.0")
// Add BIGO Ads Network
    implementation("com.unity3d.ads-mediation:bigo-adapter:5.2.0")
    implementation("com.bigossp:bigo-ads:5.6.2")
// Add Chartboost Network
    implementation("com.unity3d.ads-mediation:chartboost-adapter:5.2.0")
//    implementation("com.chartboost:chartboost-sdk:9.10.2")

    implementation("com.chartboost:chartboost-sdk:9.8.3")
// Add DT Exchange Network
    implementation("com.unity3d.ads-mediation:fyber-adapter:5.2.0")
    implementation("com.fyber:marketplace-sdk:8.4.1")
// Add InMobi Network
    implementation("com.unity3d.ads-mediation:inmobi-adapter:5.3.0")
    implementation("com.inmobi.monetization:inmobi-ads-kotlin:11.1.0")
// Add Liftoff Monetize Network
    implementation("com.unity3d.ads-mediation:vungle-adapter:5.2.0")
    implementation("com.vungle:vungle-ads:7.6.1")
// Add Mintegral Network
    implementation("com.unity3d.ads-mediation:mintegral-adapter:5.3.0")
    implementation("com.mbridge.msdk.oversea:mbridge_android_sdk:17.0.31")
// Add Moloco Network
    implementation("com.unity3d.ads-mediation:moloco-adapter:5.5.0")
    implementation("com.moloco.sdk:moloco-sdk:4.3.1")
// Add Pangle Network
    implementation("com.unity3d.ads-mediation:pangle-adapter:5.4.0")
    implementation("com.pangle.global:pag-sdk:7.8.0.7")
// Add Unity Ads Network
    implementation("com.unity3d.ads-mediation:unityads-adapter:5.3.0")
    implementation("com.unity3d.ads:unity-ads:4.16.4")

}